@import "./variables.scss";

// CONTAINER
@mixin make-container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;

  @media screen and (max-width: $sm) {
    max-width: 540px;
    margin: 0;
    padding: 0;
  }

  @media screen and (min-width: $sm) {
    max-width: 540px;
  }

  @media screen and (min-width: $md) {
    max-width: 720px;
  }

  @media screen and (min-width: $lg) {
    max-width: 960px;
  }

  @media screen and (min-width: $xl) {
    max-width: 1140px;
  }
}

//FONTS 
@mixin responsive-fonts {
  font-size: 62.5%; //1rem = 10px; 10px / 16px = 62.5%;

  @media screen and (min-width: $xl) {
    font-size: 75%; //1rem = 12px; 12px / 16px = 75%
  }

  @media screen and (max-width: $md) {
    font-size: 56.25%; //1rem = 9px; 9px / 16px = 56.25%
  }

  @media screen and (max-width: $sm) {
    font-size: 50%; //1rem = 8px; 8px / 16px = 50%
  }
}
